Bug 1258104 - systemctl reports no space left on device
systemctl reports no space left on device
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 01:49 EDT by Paramjit Oberoi
Modified: 2016-12-20 09:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:30:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paramjit Oberoi 2015-08-29 01:49:52 EDT
When starting/stopping/enabling/disabling services, systemctl fails with: "Error: no space left on device".

This is likely a duplicate of 894483 - the workaround suggested in that bug fixed the problem: "echo 1048576 > /proc/sys/fs/inotify/max_user_watches"

Version-Release number of selected component (if applicable):
systemd-222-2.fc23.x86_64

How reproducible:
Install F23 alpha, install a bunch of other services, and printers, and then try to use systemd commands to enable/disable/start/stop a service.

Actual results:
"Error: no space left on device".

Expected results:
Successful execution of command.
Comment 1 Lukáš Nykrýn 2015-09-08 06:51:29 EDT
Are you using any additional software that uses inotify?
Comment 2 Paramjit Oberoi 2015-09-08 23:52:00 EDT
(In reply to Lukáš Nykrýn from comment #1)
> Are you using any additional software that uses inotify?

I'm not sure - is there a way to find out?
Comment 3 Lukáš Nykrýn 2015-09-09 03:02:35 EDT
Usually it would be something that watches changes of files.
Comment 4 Fedora End Of Life 2016-11-24 07:24:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:30:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.